from fireant import (
    DataSet,
    Field,
    DataType,
    Join
)
from ..database import rds_warehouse
from ..bi_dwh import (
    master_daily_listed_activities as mdla,
    master_daily_listed_favepay_outlet_details as mdlf
) 
from pypika import JoinType
from pypika.functions import (
    Sum,
    Count
)
from ..custom_functions import DatePart


daily_listed = DataSet(
    database=rds_warehouse,
    table=mdlf,
    joins=[
        Join(
            mdla,
            mdla.company_id == mdlf.company_id,
            JoinType.outer
        )
    ],
    
)